-- $Id: create_tables.pgsql,v 1.10 2001/01/09 23:47:21 bettina Exp $

CREATE TABLE phpgw_inv_products (
   con      serial,
   id       varchar(7),
   name     varchar(255),
   des      text,
   category varchar(3),
   status   int,
   weight   int,
   cost     money,
   price    money,
   retail   money,
   stock    int,
   mstock   int,
   url      varchar(255),
   dist     int
);

create table phpgw_inv_dist (
   con      serial,
   name     varchar(255)
);

create table phpgw_inv_categorys (
   con      serial,
   level    int default '0' NOT NULL,                                                                                                                                             
   par_cat  varchar(3),                                                                                                                                                              
   main_cat varchar(3),
   number   varchar(3),
   name     varchar(255),
   tax      decimal(6,2)
);

create table phpgw_inv_statuslist (
   status_id     serial,
   status_name   varchar(255)
);

CREATE TABLE phpgw_inv_orders (
   id       serial,
   num      varchar(11) NOT NULL,
   date     int,
   customer int,
   descr    text,
   UNIQUE (num)
);

CREATE TABLE phpgw_inv_orderpos (
   id           serial,
   order_id     varchar(11) NOT NULL,
   product_id   varchar(11),
   piece        int,
   tax          decimal(6,2)
);

CREATE TABLE phpgw_inv_delivery (
   id       serial,
   num      varchar(11) NOT NULL,
   date     int,
   order_id varchar(11),
   UNIQUE (num)
);

CREATE TABLE phpgw_inv_deliverypos (
   id          serial,
   delivery_id varchar(11) NOT NULL,
   product_id  varchar(11)
);

CREATE TABLE phpgw_inv_invoice (
   id              serial,
   num             varchar(11) NOT NULL,
   date            int,
   order_id        varchar(11),
   sum             decimal(20,2),
   UNIQUE (num)
);

CREATE TABLE phpgw_inv_invoicepos (                                                                                                                                                                        
   id          serial,                                                                                                                                                                                
   invoice_id  varchar(11) NOT NULL,                                                                                                                                                                  
   product_id  varchar(11)                                                                                                                                                                            
);

insert into phpgw_inv_statuslist (status_name) values ('Available');
insert into phpgw_inv_statuslist (status_name) values ('No Longer available');
insert into phpgw_inv_statuslist (status_name) values ('Back order');
insert into phpgw_inv_statuslist (status_name) values ('unknown');
insert into phpgw_inv_statuslist (status_name) values ('other');
